/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:43pm
Filepath: scripts\Items\Artifacts\champion spawns\TwoPeiceCombo.cs
Lines of code: 47

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class TwoPeiceCombo : Nunchaku
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public TwoPeiceCombo()
		{
			Hue = 34;
			Name = "The Two Peice Combo";
			WeaponAttributes.HitFireball= 50;			
			Attributes.WeaponDamage = 70;
			
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=50;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=50;		

			Slayer = SlayerName.Bird;			
		}


		public TwoPeiceCombo( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
		
		public override void OnAfterLoad()
		{		
			Backpack bag = new Backpack();
			
			bag.DropItem(new DragonNunchaku());
			
			
			Item i = Activator.CreateInstance( Misc.TreasuresOfFelucca.m_GreaterArtifacts[Utility.Random( Misc.TreasuresOfFelucca.m_GreaterArtifacts.Length )] ) as Item;
			
			
			bag.DropItem(i);
			bag.DropItem(new BirdsofBritanniaTalisman());
			
			
			Misc.ObjectConverter.ConvertItem(this,bag);
		}			
	}
}